com.icesoft.faces.component.dataexporter

## Class ExcelOutputHandler

- java.lang.Object
- - com.icesoft.faces.component.dataexporter.OutputTypeHandler
  - - com.icesoft.faces.component.dataexporter.ExcelOutputHandler

-     public class ExcelOutputHandler
      extends OutputTypeHandler

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.component.dataexporter.OutputTypeHandler

      `file, mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelOutputHandler(java.lang.String path, javax.faces.context.FacesContext fc, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCell(jxl.write.WritableCell cell)`
    `protected jxl.write.WritableCell` | `deriveCellFromObject(java.lang.Object output, int col, int row, jxl.write.WritableCellFormat format)` Unlike the other methods, row is specific to the whole worksheet, not just the data rows
    `void` | `flushFile()`
    `protected jxl.write.WritableCellFormat` | `getCellFormat()`
    `protected jxl.write.WritableCellFormat` | `getFooterCellFormat()`
    `protected jxl.write.WritableCellFormat` | `getHeaderCellFormat()`
    `void` | `writeCell(java.lang.Object output, int col, int row)` The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
    `void` | `writeFooterCell(java.lang.Object output, int col, int row)` The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
    `void` | `writeHeaderCell(java.lang.String text, int col)`

    - ### Methods inherited from class com.icesoft.faces.component.dataexporter.OutputTypeHandler

      `getFile, getMimeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelOutputHandler

          public ExcelOutputHandler(java.lang.String path,
                                    javax.faces.context.FacesContext fc,
                                    java.lang.String title)

  - ### Method Detail

    - #### flushFile

          public void flushFile()

      Specified by:
        `flushFile` in class `OutputTypeHandler`

    - #### writeCell

          public void writeCell(java.lang.Object output,
                                int col,
                                int row)

      The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
      Specified by:
        `writeCell` in class `OutputTypeHandler`

    - #### writeHeaderCell

          public void writeHeaderCell(java.lang.String text,
                                      int col)

      Specified by:
        `writeHeaderCell` in class `OutputTypeHandler`

    - #### writeFooterCell

          public void writeFooterCell(java.lang.Object output,
                                      int col,
                                      int row)

      The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
      Overrides:
        `writeFooterCell` in class `OutputTypeHandler`

    - #### deriveCellFromObject

          protected jxl.write.WritableCell deriveCellFromObject(java.lang.Object output,
                                                                int col,
                                                                int row,
                                                                jxl.write.WritableCellFormat format)

      Unlike the other methods, row is specific to the whole worksheet, not just the data rows

    - #### addCell

          protected void addCell(jxl.write.WritableCell cell)

    - #### getHeaderCellFormat

          protected jxl.write.WritableCellFormat getHeaderCellFormat()

    - #### getCellFormat

          protected jxl.write.WritableCellFormat getCellFormat()

    - #### getFooterCellFormat

          protected jxl.write.WritableCellFormat getFooterCellFormat()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.